Commit 78f2d1f770ffcdeb8cab42a8c88012d7747ae551

Authored by zhangxiaowen
1 parent e7180409

no message

CNLiveMineModule.podspec
@@ -79,6 +79,9 @@ TODO: 网家家-我的模块. @@ -79,6 +79,9 @@ TODO: 网家家-我的模块.
79 # 服务层 79 # 服务层
80 s.dependency 'CNLiveServices' 80 s.dependency 'CNLiveServices'
81 81
  82 + # 基类
  83 + s.dependency 'CNLiveCommonClass'
  84 +
82 # 用户信息本地化 85 # 用户信息本地化
83 s.dependency 'CNLiveUserManagement' 86 s.dependency 'CNLiveUserManagement'
84 87
CNLiveMineModule/Classes/Controller/CNLiveMineController.h
@@ -11,10 +11,11 @@ @@ -11,10 +11,11 @@
11 */ 11 */
12 12
13 #import <UIKit/UIKit.h> 13 #import <UIKit/UIKit.h>
  14 +#import "CNCommonViewController.h"
14 15
15 NS_ASSUME_NONNULL_BEGIN 16 NS_ASSUME_NONNULL_BEGIN
16 17
17 -@interface CNLiveMineController : UIViewController 18 +@interface CNLiveMineController : CNCommonViewController
18 19
19 @end 20 @end
20 21
CNLiveMineModule/Classes/UserInfo/CNLiveInfoUpdateController.h
@@ -8,6 +8,7 @@ @@ -8,6 +8,7 @@
8 8
9 #import <UIKit/UIKit.h> 9 #import <UIKit/UIKit.h>
10 #import "CNLiveUserInfoModel.h" 10 #import "CNLiveUserInfoModel.h"
  11 +#import "CNCommonViewController.h"
11 12
12 NS_ASSUME_NONNULL_BEGIN 13 NS_ASSUME_NONNULL_BEGIN
13 @class CNLiveInfoUpdateController; 14 @class CNLiveInfoUpdateController;
@@ -17,7 +18,7 @@ NS_ASSUME_NONNULL_BEGIN @@ -17,7 +18,7 @@ NS_ASSUME_NONNULL_BEGIN
17 18
18 @end 19 @end
19 20
20 -@interface CNLiveInfoUpdateController : UIViewController 21 +@interface CNLiveInfoUpdateController : CNCommonViewController
21 @property (nonatomic, weak) id<CNLiveInfoUpdateDelegate> delegate; 22 @property (nonatomic, weak) id<CNLiveInfoUpdateDelegate> delegate;
22 23
23 /** 24 /**
CNLiveMineModule/Classes/UserInfo/CNLiveUserInfoController.h
@@ -11,10 +11,11 @@ @@ -11,10 +11,11 @@
11 */ 11 */
12 12
13 #import <UIKit/UIKit.h> 13 #import <UIKit/UIKit.h>
  14 +#import "CNCommonViewController.h"
14 15
15 NS_ASSUME_NONNULL_BEGIN 16 NS_ASSUME_NONNULL_BEGIN
16 17
17 -@interface CNLiveUserInfoController : UIViewController 18 +@interface CNLiveUserInfoController : CNCommonViewController
18 19
19 @end 20 @end
20 21
Example/CNLiveMineModule.xcodeproj/project.pbxproj
@@ -234,8 +234,8 @@ @@ -234,8 +234,8 @@
234 6003F586195388D20070C39A /* Sources */, 234 6003F586195388D20070C39A /* Sources */,
235 6003F587195388D20070C39A /* Frameworks */, 235 6003F587195388D20070C39A /* Frameworks */,
236 6003F588195388D20070C39A /* Resources */, 236 6003F588195388D20070C39A /* Resources */,
237 - 07415E89EC912FCCAB43EC44 /* [CP] Embed Pods Frameworks */,  
238 - 8B73392B8C7459E761F59865 /* [CP] Copy Pods Resources */, 237 + AA1FA6A7BB640248D40DE198 /* [CP] Embed Pods Frameworks */,
  238 + FA29A0502F7D41B0EFC3AAD5 /* [CP] Copy Pods Resources */,
239 ); 239 );
240 buildRules = ( 240 buildRules = (
241 ); 241 );
@@ -326,7 +326,29 @@ @@ -326,7 +326,29 @@
326 /* End PBXResourcesBuildPhase section */ 326 /* End PBXResourcesBuildPhase section */
327 327
328 /* Begin PBXShellScriptBuildPhase section */ 328 /* Begin PBXShellScriptBuildPhase section */
329 - 07415E89EC912FCCAB43EC44 /* [CP] Embed Pods Frameworks */ = { 329 + A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = {
  330 + isa = PBXShellScriptBuildPhase;
  331 + buildActionMask = 2147483647;
  332 + files = (
  333 + );
  334 + inputFileListPaths = (
  335 + );
  336 + inputPaths = (
  337 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  338 + "${PODS_ROOT}/Manifest.lock",
  339 + );
  340 + name = "[CP] Check Pods Manifest.lock";
  341 + outputFileListPaths = (
  342 + );
  343 + outputPaths = (
  344 + "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Example-checkManifestLockResult.txt",
  345 + );
  346 + runOnlyForDeploymentPostprocessing = 0;
  347 + shellPath = /bin/sh;
  348 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  349 + showEnvVarsInLog = 0;
  350 + };
  351 + AA1FA6A7BB640248D40DE198 /* [CP] Embed Pods Frameworks */ = {
330 isa = PBXShellScriptBuildPhase; 352 isa = PBXShellScriptBuildPhase;
331 buildActionMask = 2147483647; 353 buildActionMask = 2147483647;
332 files = ( 354 files = (
@@ -432,29 +454,7 @@ @@ -432,29 +454,7 @@
432 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n"; 454 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-frameworks.sh\"\n";
433 showEnvVarsInLog = 0; 455 showEnvVarsInLog = 0;
434 }; 456 };
435 - 8B73392B8C7459E761F59865 /* [CP] Copy Pods Resources */ = {  
436 - isa = PBXShellScriptBuildPhase;  
437 - buildActionMask = 2147483647;  
438 - files = (  
439 - );  
440 - inputPaths = (  
441 - "${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh",  
442 - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMineModule/CNLiveMineModule.bundle",  
443 - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMyOrderModule/CNLiveMyOrderModule.bundle",  
444 - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveSettingModule/CNLiveSettingModule.bundle",  
445 - );  
446 - name = "[CP] Copy Pods Resources";  
447 - outputPaths = (  
448 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMineModule.bundle",  
449 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMyOrderModule.bundle",  
450 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveSettingModule.bundle",  
451 - );  
452 - runOnlyForDeploymentPostprocessing = 0;  
453 - shellPath = /bin/sh;  
454 - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh\"\n";  
455 - showEnvVarsInLog = 0;  
456 - };  
457 - A9B5D0EFC5B6FCA241FAE929 /* [CP] Check Pods Manifest.lock */ = { 457 + BFE3DD8ECDF347EE483385B5 /* [CP] Check Pods Manifest.lock */ = {
458 isa = PBXShellScriptBuildPhase; 458 isa = PBXShellScriptBuildPhase;
459 buildActionMask = 2147483647; 459 buildActionMask = 2147483647;
460 files = ( 460 files = (
@@ -469,33 +469,33 @@ @@ -469,33 +469,33 @@
469 outputFileListPaths = ( 469 outputFileListPaths = (
470 ); 470 );
471 outputPaths = ( 471 outputPaths = (
472 - "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Example-checkManifestLockResult.txt", 472 + "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Tests-checkManifestLockResult.txt",
473 ); 473 );
474 runOnlyForDeploymentPostprocessing = 0; 474 runOnlyForDeploymentPostprocessing = 0;
475 shellPath = /bin/sh; 475 shellPath = /bin/sh;
476 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; 476 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
477 showEnvVarsInLog = 0; 477 showEnvVarsInLog = 0;
478 }; 478 };
479 - BFE3DD8ECDF347EE483385B5 /* [CP] Check Pods Manifest.lock */ = { 479 + FA29A0502F7D41B0EFC3AAD5 /* [CP] Copy Pods Resources */ = {
480 isa = PBXShellScriptBuildPhase; 480 isa = PBXShellScriptBuildPhase;
481 buildActionMask = 2147483647; 481 buildActionMask = 2147483647;
482 files = ( 482 files = (
483 ); 483 );
484 - inputFileListPaths = (  
485 - );  
486 inputPaths = ( 484 inputPaths = (
487 - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",  
488 - "${PODS_ROOT}/Manifest.lock",  
489 - );  
490 - name = "[CP] Check Pods Manifest.lock";  
491 - outputFileListPaths = ( 485 + "${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh",
  486 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMineModule/CNLiveMineModule.bundle",
  487 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveMyOrderModule/CNLiveMyOrderModule.bundle",
  488 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveSettingModule/CNLiveSettingModule.bundle",
492 ); 489 );
  490 + name = "[CP] Copy Pods Resources";
493 outputPaths = ( 491 outputPaths = (
494 - "$(DERIVED_FILE_DIR)/Pods-CNLiveMineModule_Tests-checkManifestLockResult.txt", 492 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMineModule.bundle",
  493 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveMyOrderModule.bundle",
  494 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveSettingModule.bundle",
495 ); 495 );
496 runOnlyForDeploymentPostprocessing = 0; 496 runOnlyForDeploymentPostprocessing = 0;
497 shellPath = /bin/sh; 497 shellPath = /bin/sh;
498 - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; 498 + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveMineModule_Example/Pods-CNLiveMineModule_Example-resources.sh\"\n";
499 showEnvVarsInLog = 0; 499 showEnvVarsInLog = 0;
500 }; 500 };
501 /* End PBXShellScriptBuildPhase section */ 501 /* End PBXShellScriptBuildPhase section */